package com.njcn.service.user;

import com.njcn.pojo.configuration.NodeInformation;
import com.njcn.pojo.user.ManageList;

import java.util.List;

public interface ManageListService {
	List<List> getManage();
	List<List> getSourceManage();
	List<ManageList> selectOneByIndex(String res_Index);
	int updateManageList(String resIndex,String name,String type,String description,String sysType,String updateUser);
	int deleteIndex(String res_Index);
	List<NodeInformation> getNodeInfo();
	String delNode(Long nodeIndex);
	List<List> getBasemang(String sysType);
	List<List> getReport(String sysType);
	List<List> getSub(String sysType);
	String saveNode(String nodeName,String nodeDesc,String ip4,String ip3,String ip2,String ip1);
	List<String> loadNode(Long nodeIndex);
	String updateNode(Long nodeIndex,String nodeName,String nodeDesc,String ip4,String ip3,String ip2,String ip1);
	ManageList selectTypeId(String resIndex);
}
